# BEGIN SourceDeps(oneline):
BuildRequires(pre): perl(CPAN.pm) perl(Config.pm) perl(Cwd.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(FileHandle.pm) perl(Internals.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(List/MoreUtils.pm) perl(Module/Build.pm) perl(Moose.pm) perl(MooseX/Types.pm) perl(MooseX/Types/Moose.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(Pod/Perldoc/ToPod.pm) perl(Pod/Text.pm) perl(Scalar/Util.pm) perl(Socket.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(YAML/Tiny.pm) perl(base.pm) perl(inc/Module/Install.pm) perl(namespace/autoclean.pm)
# END SourceDeps(oneline)
%define module_version 0.002
%define module_name MooseX-Types-Ro
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.002
Release: alt1.1
Summary: Moose type constraints for read-only containers
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/I/IL/ILMARI/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
the MooseX::Types::Ro manpage provides the Moose manpage type constraints for read-only
array and hash references.  Attempting to modify the values in any way,
including adding or deleting from the arrays and hashes will throw an
exception.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README README.pod Changes
%perl_vendor_privlib/M*

%changelog
* Sat Apr 09 2016 Igor Vlasenko <viy@altlinux.ru> 0.002-alt1.1
- rebuild to restore role requires

* Thu May 01 2014 Igor Vlasenko <viy@altlinux.ru> 0.002-alt1
- initial import by package builder

